#ifndef LIP_OPCUA_SERVER_TREE_STD_TYPES_DA_ITEMS_H
#define LIP_OPCUA_SERVER_TREE_STD_TYPES_DA_ITEMS_H

struct st_lip_opcua_tree_item;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_data_item;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_data_item_definition;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_data_item_value_precision;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_base_analog;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_base_analog_instrument_range;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_base_analog_eu_range;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_base_analog_eu;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_analog_item;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_analog_item_eu_range;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_analog_unit;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_analog_unit_eu;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_analog_unit_range;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_analog_unit_range_eu;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_discrete_item;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_discrete_two_state;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_discrete_two_state_false;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_discrete_two_state_true;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_discrete_multi_state;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_discrete_multi_state_enum_strings;


extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_discrete_multi_state_val;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_discrete_multi_state_val_enum_vals;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_discrete_multi_state_val_value_as_text;


extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_array_item;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_array_item_instrument_range;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_array_item_eu_range;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_array_item_eu;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_array_item_title;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_array_item_axis_scale_type;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_y_array_item;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_y_array_item_x_axis_def;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_xy_array_item;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_xy_array_item_x_axis_def;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_image_item;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_image_item_x_axis_def;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_image_item_y_axis_def;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_cube_item;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_cube_item_x_axis_def;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_cube_item_y_axis_def;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_cube_item_z_axis_def;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_ndim_array_item;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_ndim_array_item_axis_def;


#endif // LIP_OPCUA_SERVER_TREE_STD_TYPES_DA_ITEMS_H
